claw::ai::game::action_eval< Action, Numeric > Class Template Reference

A score associated with an action. More...

`#include <game_ai.hpp>`

## Public Member Functions

| action_eval (const Action &a, const Numeric &e)
bool | operator< (const action_eval &ae) const

## Public Attributes

Action | action
| The action.
Numeric | eval
| The score of the action.

## Detailed Description

template<typename Action, typename Numeric>
class claw::ai::game::action_eval< Action, Numeric >

A score associated with an action.

Template parameters:

- Action: the type of the action,
- Action: the type of the evaluation.

Definition at line 110 of file game_ai.hpp.

## Member Data Documentation

## action

template<typename Action, typename Numeric>

Action claw::ai::game::action_eval< Action, Numeric >::action

The action.

Definition at line 120 of file game_ai.hpp.

## eval

template<typename Action, typename Numeric>

Numeric claw::ai::game::action_eval< Action, Numeric >::eval

The score of the action.

Definition at line 123 of file game_ai.hpp.

The documentation for this class was generated from the following file:

- game_ai.hpp